# $Revision: 1.39 $, $Date: 2006/11/21 19:56:55 $
# ToDo:
# - fix pl description (arbitrary data ?)

%include	/usr/lib/rpm/macros.php
%define		_class		HTTP
%define		_subclass	Download
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - send HTTP Downloads
Summary(pl):	%{_pearname} - obsuga transferu plikw przez HTTP
Name:		php-pear-%{_pearname}
Version:	1.1.1
Release:	3
Epoch:		0
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	91184b9ea6757f58d73b74a65f05f4e1
URL:		http://pear.php.net/package/HTTP_Download/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(pcre)
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-HTTP_Header
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Archive_Zip was never released
%define		_noautoreq	'pear(Archive/Tar.php)' 'pear(Archive/Zip.php)' 'pear(MIME/Type.*)'

%description
Provides an easy interface to send hidden files or any arbitrary data
to the client over HTTP. It features HTTP Caching, Compression and
Ranges (partial downloads and resuming).

NOTE: Don't use with PHP's on-the-fly output compression, because
files may be sent coruppted.

In PEAR status of this package is: %{_status}.

%description -l pl
Dostarcza prostego w uyciu interfejsu do wysyania ukrytych plikw do
klienta poprzez HTTP. Moliwoci to cache'owanie HTTP, kompresja oraz
zakresy (czciowe ciganie oraz wznawianie poczenia).

UWAGA: Nie uywaj tej klasy wraz z opcj PHP kompresji "w locie", gdy
przesane pliki mog by uszkodzone.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTTP_Download.spec,v $
Revision 1.39  2006/11/21 19:56:55  glen
- rel 3: use php(extension) virtuals

Revision 1.38  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.37  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.36  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.35  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.34  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.33  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.32  2006/01/09 09:09:45  glen
- 1.1.1

Revision 1.31  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.30  2005/11/21 18:02:31  glen
- 1.0.0-stable

Revision 1.29  2005/10/27 18:43:44  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.28  2005/10/05 19:13:29  glen
- rel .2

Revision 1.27  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.26  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.25  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.24  2005/09/26 20:28:45  glen
- new pear packaging

Revision 1.23  2005/09/17 21:25:23  prism
- 1.1.0RC3

Revision 1.22  2004/12/04 22:06:21  adamg
- do not require pear(Archive/ZIP.php) - it was never released
- release 3

Revision 1.21  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.20  2004/10/24 18:31:00  paladine
- spelling fixes, uppercases, etc.

Revision 1.19  2004/09/04 14:17:57  adamg
- updated to 0.10.0

Revision 1.18  2004/08/01 18:03:46  adamg
- updated to 0.9.0

Revision 1.17  2004/07/08 20:10:29  adamg
- updated to 0.8.1

Revision 1.16  2004/06/10 17:56:05  adamg
- updated to 0.8.0

Revision 1.15  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.14  2004/05/05 21:58:36  adamg
- updated to 0.7.0

Revision 1.13  2004/04/25 17:49:03  adamg
- updated to 0.6.2

Revision 1.12  2004/03/25 20:41:00  adamg
- updated to 0.6.1

Revision 1.11  2004/03/19 22:20:13  adamg
- updated to 0.6.0

Revision 1.10  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.9  2004/02/24 11:45:50  adamg
- added note in pl description

Revision 1.8  2004/02/24 11:29:20  adamg
- updated to 0.5.2

Revision 1.7  2003/12/30 20:02:45  adamg
- updated to 0.5.1

Revision 1.6  2003/12/23 11:19:08  adamg
- updated to 0.5
- added pl summary

Revision 1.5  2003/11/30 16:09:51  adamg
- updated to 0.4

Revision 1.4  2003/11/22 20:44:45  adamg
- updated to 0.3
- license changed to php 3.0
- status changed to beta

Revision 1.3  2003/11/05 21:19:28  adamg
- updated to 0.2

Revision 1.2  2003/10/07 20:54:59  adamg
- do not use macros in URL

Revision 1.1  2003/10/03 18:48:40  adamg
- initial import
